Subject: New game project

From: Owen Brand <[email-masked]>
Date: Tue, 9 Apr 2013 16:59:08 -0700 (PDT)

Hey all... I have been working on a new piece of software for the TI... It's nothing crazy, but it's never been done on the system before... (That I can guarantee)

It's called a "baseball simulator" and I'm still in the earliest stages of development.  A simulator is not an arcade game.  It is a simulation wherein the user acts as both general manager and skipper.  

As GM, you build your team: starting position players, bench players, starting pitching, and bullpen.

As manager, you set your lineup, rotation, pitch count for the starters, etc.  You enter the manager mode before every game and can set who you want in the lineup based on who you're facing.  If you're going up against a left handed pitcher who is weak against right handed hitters, you can set your lineup to be "righty-heavy".  There are many other factors, but this is just an example.

Essentially there are several teams in the league and you own/manage one of them.  Each team is comprised of historical players who carry their "real" season stats with them.  You will go through a 162 game season and your players will compile yearly statistics which can be retrieved and viewed at any time.  The goal is to build the best team you can (as GM) and manage your team against the competition (as Skipper/manager)

I've got all the basic game mechanics coded already and now the goal is to start importing historical statistics and building team rosters.  

Anyone interested in testing the developmental code, shoot me a private message and I'll send you a FIAD file containing the program.

Thanks!

Owen